argocd.repository.get-app-details ​
GetAppDetails returns application details by given path
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-argocd |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
source_repourl | string | Yes | — | RepoURL is the URL to the repository (Git or Helm) that contains the application manifests |
appname | string | No | — | — |
appproject | string | No | — | — |
source | json | No | — | — |
sourceindex | integer | No | — | — |
versionid | integer | No | — | — |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
source_repourl | string | Yes | — | RepoURL is the URL to the repository (Git or Helm) that contains the application manifests |
appname | string | No | — | — |
appproject | string | No | — | — |
source | json | No | — | — |
sourceindex | integer | No | — | — |
versionid | integer | No | — | — |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /api/v1/repositories/{source.repoURL}/appdetails |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /api/v1/repositories/{source.repoURL}/appdetails |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "argocd.repository.get-app-details",
"initial_data": {
"base_url": "value",
"source_repourl": "value"
}
}